Update copyright year in the about dialog and the credits.

RESOLVED FIXED in 0.3b1

Status

Instantbird
Other
--
minor
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: florian, Assigned: florian)

Tracking

Details

(Whiteboard: [0.3-blocking-final])

(Assignee)

Description

4 years ago
*** Original post on bio 827 at 2011-06-05 20:08:00 UTC ***

It's still showing 2010...
(Assignee)

Updated

4 years ago
Whiteboard: [0.3-blocking-final]

Comment 1

4 years ago
*** Original post on bio 827 at 2011-06-06 16:05:11 UTC ***

Chagiong to code so that it shows "2007-<current year>" instead of stucking a date there should prevent us from doing this again. If it's absolutely necessary to have a fixed date there for legal issues, then you can parse the build id to extract year from there.
(Assignee)

Comment 2

4 years ago
*** Original post on bio 827 at 2011-06-06 16:18:34 UTC ***

(In reply to comment #1)
> you can parse the build id to extract year from there.

Except it's the time when the compilation starts. We need the time of the latest code change. We could script it using hg... but then it would screw up people not using hg (or we need to include some code to preprocess it when packaging source tarballs).
All in all, it's probably not worth the effort.

But we can try to reduce the number of files containing the years, or we can check-in a script to update all of these automatically with a single operation.

Comment 3

4 years ago
*** Original post on bio 827 at 2011-06-06 17:38:06 UTC ***

I don't really see why. If you have compiled a new version of Instantbird, then it's only right that the copyright extends until the compilation date. According to me, using the current year is even better. There's no reason that would make us renounce to our copyright and it's valid for 50 years (an eternity) after being written so I believe a simple date('Y') or something if the like would be perfect.
(Assignee)

Comment 4

4 years ago
*** Original post on bio 827 at 2011-06-07 22:51:14 UTC ***

https://hg.instantbird.org/instantbird/rev/f586fd4c4b03
Assignee: nobody → florian
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: 1.0 → 0.3b1
You need to log in before you can comment on or make changes to this bug.